Subject: Re: draft-vasseur-mpls-ospf-pcsd-discovery-00.txt

From: "Naidu, Venkata" <[email-masked]>
Date: Fri, 9 Aug 2002 11:29:41 -0400

Acee,

-> My least favorite alternative is allowing the setting of the
-> E bit to be optional since it requires implementation of the
-> Path-Comp-Server reachability checking in both OSPF and the
-> the Path-Comp-Clients.

  Your take is "do or don't" but not in between option, fine :)

  From my access networks experience I would like to make
  a suggestion. There is no application level checking about
  reachability of any address (look at any transport level
  protocol, for that matter any distributed applications,
  for example, MGC-MG communication in MEGACO etc etc)

  Applications never bother about internal workings of
  lower layers (ie whether address is dynamic reachable or not)

  PCC application does one of the following:
  1. Limited number of retries with exponential backoff
  2. Unlimited number of retries till manual intervention
  3. Alternative retries between primary and backup
     (if there is a backup-PCS configured)

  Practically there won't be any *reachability checking* in
  PCC or PCS.

  Guys, I think the problem is a very simple one. We have
  had very fruitful discussion. Take is authors. I give up :)

--
Venkata